-- LINDA Config file for A2A_C182
-- Generated by LINDA Configurator at 1605201103


-- ############################################### --
-- ## EFIS block mode1
-- ############################################### --

-- EFIS block buttons and switches
EFIS1 = {
["ENABLED"]		= true  ,
["IDENT"]		= "GPS"  ,
["FPV ."] 		= GPS_ENTER_button  ,
["MTR ."] 		= GPS_DIRECTTO_button  ,
["WX  ."] 		= MCP2_WIND_BARO_OAT  ,
["STA ."] 		= GPS_MENU_button  ,
["WPT ."] 		= GPS_CLR_button  ,
["ARPT."] 		= GPS_NRST_button  ,
["DATA."] 		= GPS_FPL_button  ,
["POS ."] 		= GPS_PROC_button  ,
["TERR."] 		= GPS_TERR_button  ,
["VORL:"] 		= EFIS_ADF1  ,
["VORR:"] 		= EFIS_ADF2  ,
["VORL."] 		= EFIS_VOR1  ,
["VORR."] 		= EFIS_VOR2  ,
}


-- EFIS MINS knob
MINS1 = {
["A SHOW"]		= GPS_PAGE_show  ,
["A  +"]		= GPS_PAGE_inc  ,
["A ++"]		= GPS_PAGE_inc  ,
["A  -"]		= GPS_PAGE_dec  ,
["A --"]		= GPS_PAGE_dec  ,
["PRESS"] 		= KNOB_MODE_toggle  ,
["B SHOW"]		= EFIS_MINIMUMS_show  ,
["B  +"]		= EFIS_MINIMUMS_inc  ,
["B ++"]		= EFIS_MINIMUMS_inc  ,
["B  -"]		= EFIS_MINIMUMS_dec  ,
["B --"]		= EFIS_MINIMUMS_dec  ,
}


-- EFIS BARO knob
BARO1 = {
["A SHOW"]		= Altimeter_BARO_show  ,
["A  +"]		= Altimeter_BARO_plus  ,
["A ++"]		= Altimeter_BARO_plusfast  ,
["A  -"]		= Altimeter_BARO_minus  ,
["A --"]		= Altimeter_BARO_minusfast  ,
["PRESS"] 		= Altimeter_BARO_MODE_toggle  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR1 = {
["A SHOW"]		= empty  ,
["A  +"]		= GPS_GROUP_inc  ,
["A ++"]		= GPS_GROUP_inc  ,
["A  -"]		= GPS_GROUP_dec  ,
["A --"]		= GPS_GROUP_dec  ,
["PRESS"] 		= GPS_CRSR_button  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC1 = {
["A SHOW"]		= empty  ,
["A  +"]		= GPS_ZOOM_inc  ,
["A ++"]		= GPS_ZOOM_inc  ,
["A  -"]		= GPS_ZOOM_dec  ,
["A --"]		= GPS_ZOOM_dec  ,
["PRESS"] 		= GPS_CRSR_button  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block mode2
-- ############################################### --

-- EFIS block buttons and switches
EFIS2 = {
["ENABLED"]		= true  ,
["IDENT"]		= "EFB"  ,
["FPV ."] 		= empty  ,
["MTR ."] 		= empty  ,
["WX  ."] 		= RXP_WX500_POPUP_TOGGLE  ,
["STA ."] 		= empty  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= empty  ,
["DATA."] 		= empty  ,
["POS ."] 		= EFB_MOVING_MAP_toggle  ,
["TERR."] 		= EFB_COLOR_MODE_toggle  ,
["VORL:"] 		= empty  ,
["VORR:"] 		= empty  ,
["VORL."] 		= empty  ,
["VORR."] 		= empty  ,
}


-- EFIS MINS knob
MINS2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR2 = {
["A SHOW"]		= empty  ,
["A  +"]		= empty  ,
["A ++"]		= empty  ,
["A  -"]		= empty  ,
["A --"]		= empty  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC2 = {
["A SHOW"]		= empty  ,
["A  +"]		= EFB_ZOOM_out  ,
["A ++"]		= EFB_ZOOM_out  ,
["A  -"]		= EFB_ZOOM_in  ,
["A --"]		= EFB_ZOOM_in  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## EFIS block mode3
-- ############################################### --

-- EFIS block buttons and switches
EFIS3 = {
["ENABLED"]		= false  ,
["IDENT"]		= "WXR"  ,
["FPV ."] 		= RXP_WX500_TRACK_L  ,
["MTR ."] 		= RXP_WX500_TRACK_R  ,
["WX  ."] 		= RXP_WX500_POPUP_TOGGLE  ,
["STA ."] 		= empty  ,
["WPT ."] 		= empty  ,
["ARPT."] 		= empty  ,
["DATA."] 		= weather_OAT  ,
["POS ."] 		= empty  ,
["TERR."] 		= empty  ,
["VORL:"] 		= RXP_WX500_SUBMODE_DN  ,
["VORR:"] 		= RXP_WX500_RANGE_DN  ,
["VORL."] 		= RXP_WX500_SUBMODE_UP  ,
["VORR."] 		= RXP_WX500_RANGE_UP  ,
}


-- EFIS MINS knob
MINS3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_BRT_INC  ,
["A ++"]		= RXP_WX500_BRT_INC  ,
["A  -"]		= RXP_WX500_BRT_DEC  ,
["A --"]		= RXP_WX500_BRT_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS BARO knob
BARO3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_GAIN_INC  ,
["A ++"]		= RXP_WX500_GAIN_INC  ,
["A  -"]		= RXP_WX500_GAIN_DEC  ,
["A --"]		= RXP_WX500_GAIN_DEC  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS CTR knob
CTR3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_MAIN_MODE_NEXT  ,
["A ++"]		= RXP_WX500_MAIN_MODE_NEXT  ,
["A  -"]		= RXP_WX500_MAIN_MODE_PREV  ,
["A --"]		= RXP_WX500_MAIN_MODE_PREV  ,
["PRESS"] 		= empty  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- EFIS TFC knob
TFC3 = {
["A SHOW"]		= empty  ,
["A  +"]		= RXP_WX500_TILT_INC  ,
["A ++"]		= RXP_WX500_TILT_INC  ,
["A  -"]		= RXP_WX500_TILT_DEC  ,
["A --"]		= RXP_WX500_TILT_DEC  ,
["PRESS"] 		= RXP_WX500_TILT_ZERO  ,
["B SHOW"]		= empty  ,
["B  +"]		= empty  ,
["B ++"]		= empty  ,
["B  -"]		= empty  ,
["B --"]		= empty  ,
}


-- ############################################### --
-- ## MCP block mode1
-- ############################################### --

-- MCP block buttons and switches
MCP1 = {
["ENABLED"]	= true  ,
["IDENT"] 	= "MCP1"  ,
["TO  ."] 	= MCP2_WIND_BARO_OAT  ,
["GA  ."] 	= VRI_DSP_MODE_toggle  ,
["N1  ."] 	= Autopilot_N1_hold  ,
["SPD ."] 	= Autopilot_IAS_hold  ,
["FLCH."] 	= empty  ,
["SEL ."] 	= Autopilot_HDGSEL_hold  ,
["HHLD."] 	= KAP140_AP_Button_hdg  ,
["AHLD."] 	= KAP140_AP_Button_alt  ,
["VHLD."] 	= KAP140_AP_Button_alt  ,
["APP ."] 	= Autopilot_APR_hold  ,
["VNAV."] 	= Autopilot_Attitude_hold  ,
["LNAV."] 	= KAP140_AP_Button_nav  ,
["CMDA."] 	= KAP140_AP_Button_toggle  ,
["CMDB."] 	= empty  ,
["CMDC."] 	= empty  ,
["LOC ."] 	= KAP140_AP_Button_nav  ,
["CWSA."] 	= Autopilot_NAVGPS_toggle  ,
["CWSB."] 	= DSP_MODE_toggle  ,
["AT  ."] 	= empty  ,
["AT  :"] 	= empty  ,
["FD  ."] 	= empty  ,
["FD  :"] 	= empty  ,
["AP  ."]	= KAP140_AP_Button_on  ,
["AP  :"] 	= KAP140_AP_Button_off  ,
}


-- MCP SPD knob
SPD1 = {
["A SHOW"]	= SPD_show  ,
["A  +"]	= SPD_plus  ,
["A ++"]	= SPD_plusfast  ,
["A  -"]	= SPD_minus  ,
["A --"]	= SPD_minusfast  ,
["PRESS"] 	= empty  ,
}


-- MCP HDG knob
HDG1 = {
["A SHOW"]	= HDG_show  ,
["A  +"]	= KAP140_AP_HeadingBug_inc  ,
["A ++"]	= KAP140_AP_HeadingBug_incfast  ,
["A  -"]	= KAP140_AP_HeadingBug_dec  ,
["A --"]	= KAP140_AP_HeadingBug_decfast  ,
["PRESS"] 	= Autopilot_HDG_Bug_align  ,
}


-- MCP ALT knob
ALT1 = {
["A SHOW"]	= ALT_show  ,
["A  +"]	= KAP140_AP_InnerKnob_plus  ,
["A ++"]	= KAP140_AP_OuterKnob_plus  ,
["A  -"]	= KAP140_AP_InnerKnob_minus  ,
["A --"]	= KAP140_AP_OuterKnob_minus  ,
["PRESS"] 	= KAP140_AP_Button_arm  ,
}


-- MCP VVS knob
VVS1 = {
["A SHOW"]	= VVS_show  ,
["A  +"]	= KAP140_AP_Button_up  ,
["A ++"]	= KAP140_AP_Button_up  ,
["A  -"]	= KAP140_AP_Button_dn  ,
["A --"]	= KAP140_AP_Button_dn  ,
["PRESS"] 	= KAP140_AP_Button_alt  ,
}


-- ############################################### --
-- ## MCP block mode2
-- ############################################### --

-- MCP block buttons and switches
MCP2 = {
["ENABLED"]	= true  ,
["IDENT"] 	= "MCP2"  ,
["TO  ."] 	= empty  ,
["GA  ."] 	= empty  ,
["N1  ."] 	= empty  ,
["SPD ."] 	= empty  ,
["FLCH."] 	= empty  ,
["SEL ."] 	= empty  ,
["HHLD."] 	= empty  ,
["AHLD."] 	= empty  ,
["VHLD."] 	= empty  ,
["APP ."] 	= empty  ,
["VNAV."] 	= empty  ,
["LNAV."] 	= empty  ,
["CMDA."] 	= empty  ,
["CMDB."] 	= empty  ,
["CMDC."] 	= empty  ,
["LOC ."] 	= empty  ,
["CWSA."] 	= empty  ,
["CWSB."] 	= DSP_MODE_toggle  ,
["AT  ."] 	= empty  ,
["AT  :"] 	= empty  ,
["FD  ."] 	= empty  ,
["FD  :"] 	= empty  ,
["AP  ."]	= empty  ,
["AP  :"] 	= empty  ,
}


-- MCP SPD knob
SPD2 = {
["A SHOW"]	= empty  ,
["A  +"]	= empty  ,
["A ++"]	= empty  ,
["A  -"]	= empty  ,
["A --"]	= empty  ,
["PRESS"] 	= empty  ,
}


-- MCP HDG knob
HDG2 = {
["A SHOW"]	= empty  ,
["A  +"]	= empty  ,
["A ++"]	= empty  ,
["A  -"]	= empty  ,
["A --"]	= empty  ,
["PRESS"] 	= empty  ,
}


-- MCP ALT knob
ALT2 = {
["A SHOW"]	= empty  ,
["A  +"]	= empty  ,
["A ++"]	= empty  ,
["A  -"]	= empty  ,
["A --"]	= empty  ,
["PRESS"] 	= empty  ,
}


-- MCP VVS knob
VVS2 = {
["A SHOW"]	= empty  ,
["A  +"]	= empty  ,
["A ++"]	= empty  ,
["A  -"]	= empty  ,
["A --"]	= empty  ,
["PRESS"] 	= empty  ,
}


-- ############################################### --
-- ## MCP block mode3
-- ############################################### --

-- MCP block buttons and switches
MCP3 = {
["ENABLED"]	= false  ,
["IDENT"] 	= "MCP3"  ,
["TO  ."] 	= empty  ,
["GA  ."] 	= empty  ,
["N1  ."] 	= empty  ,
["SPD ."] 	= empty  ,
["FLCH."] 	= empty  ,
["SEL ."] 	= empty  ,
["HHLD."] 	= empty  ,
["AHLD."] 	= empty  ,
["VHLD."] 	= empty  ,
["APP ."] 	= empty  ,
["VNAV."] 	= empty  ,
["LNAV."] 	= empty  ,
["CMDA."] 	= empty  ,
["CMDB."] 	= empty  ,
["CMDC."] 	= empty  ,
["LOC ."] 	= empty  ,
["CWSA."] 	= empty  ,
["CWSB."] 	= DSP_MODE_toggle  ,
["AT  ."] 	= empty  ,
["AT  :"] 	= empty  ,
["FD  ."] 	= empty  ,
["FD  :"] 	= empty  ,
["AP  ."]	= empty  ,
["AP  :"] 	= empty  ,
}


-- MCP SPD knob
SPD3 = {
["A SHOW"]	= empty  ,
["A  +"]	= empty  ,
["A ++"]	= empty  ,
["A  -"]	= empty  ,
["A --"]	= empty  ,
["PRESS"] 	= empty  ,
}


-- MCP HDG knob
HDG3 = {
["A SHOW"]	= empty  ,
["A  +"]	= empty  ,
["A ++"]	= empty  ,
["A  -"]	= empty  ,
["A --"]	= empty  ,
["PRESS"] 	= empty  ,
}


-- MCP ALT knob
ALT3 = {
["A SHOW"]	= empty  ,
["A  +"]	= empty  ,
["A ++"]	= empty  ,
["A  -"]	= empty  ,
["A --"]	= empty  ,
["PRESS"] 	= empty  ,
}


-- MCP VVS knob
VVS3 = {
["A SHOW"]	= empty  ,
["A  +"]	= empty  ,
["A ++"]	= empty  ,
["A  -"]	= empty  ,
["A --"]	= empty  ,
["PRESS"] 	= empty  ,
}


-- ############################################### --
-- ## USER block mode1
-- ############################################### --

-- USER block buttons and switches
USER1 = {
["ENABLED"]	= true  ,
["IDENT"]	= "DOOR"  ,
["BTN1."] 	= DOOR_1_toggle  ,
["BTN2."] 	= DOOR_2_toggle  ,
["BTN3."] 	= A182_Transponder_dec  ,
["BTN4."] 	= A182_Transponder_inc  ,
["BTN5."] 	= empty  ,
["BTN6."] 	= VRI_EFIS_MODE_toggle  ,
["BTN7."] 	= VRI_MCP_MODE_toggle  ,
["BTN8."] 	= VRI_USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block mode2
-- ############################################### --

-- USER block buttons and switches
USER2 = {
["ENABLED"]	= true  ,
["IDENT"]	= "DeIc"  ,
["BTN1."] 	= empty  ,
["BTN2."] 	= empty  ,
["BTN3."] 	= empty  ,
["BTN4."] 	= empty  ,
["BTN5."] 	= empty  ,
["BTN6."] 	= VRI_EFIS_MODE_toggle  ,
["BTN7."] 	= VRI_MCP_MODE_toggle  ,
["BTN8."] 	= VRI_USER_MODE_toggle  ,
}

-- ############################################### --
-- ## USER block mode3
-- ############################################### --

-- USER block buttons and switches
USER3 = {
["ENABLED"]	= false  ,
["IDENT"]	= "Othr"  ,
["BTN1."] 	= empty  ,
["BTN2."] 	= empty  ,
["BTN3."] 	= empty  ,
["BTN4."] 	= empty  ,
["BTN5."] 	= empty  ,
["BTN6."] 	= VRI_EFIS_MODE_toggle  ,
["BTN7."] 	= VRI_MCP_MODE_toggle  ,
["BTN8."] 	= VRI_USER_MODE_toggle  ,
}

-- ############################################### --
-- ## RADIOS block mode1
-- ############################################### --

-- RADIOS block buttons and switches
RADIOS = {
["COM ."]	= Default_COM_select  ,
["NAV ."]	= Default_NAV_select  ,
["ADF ."]	= Default_ADF_select  ,
["DME ."]	= Default_DME_select  ,
["TRAN."]	= Default_XPND_select  ,
["TFR ."]	= Default_RADIOS_swap  ,
["STBY."]	= Default_RADIOS_mode  ,
["LAMP."]	= Default_LAMP_toggle  ,

["COM1 Select"]	= empty  ,
["COM2 Select"]	= empty  ,
["COM1 Swap"]	= empty  ,
["COM2 Swap"]	= empty  ,
["COMs Mode"]	= Radios_COM_AUDIO_toggle  ,

["NAV1 Select"]	= empty  ,
["NAV2 Select"]	= empty  ,
["NAV1 Swap"]	= empty  ,
["NAV2 Swap"]	= empty  ,
["NAVs Mode"]	= Radios_NAV_AUDIO_toggle  ,

["ADF1 Select"]	= empty  ,
["ADF2 Select"]	= empty  ,
["ADFs Mode"]	= A182_ADFbuttonFrq_click  ,

["DME1 Select"]	= empty  ,
["DME2 Select"]	= empty  ,
["DMEs Mode"]	= Radios_DME_AUDIO_toggle  ,

["XPND Select"]	= empty  ,
["XPND Swap"]	= empty  ,
["XPND Mode"]	= Transponder_MODE_toggle  ,
}

DME1 = {
["A  +"]   	= empty  ,
["A ++"]   	= empty  ,
["A  -"]   	= empty  ,
["A --"]   	= empty  ,
["PRESS"]  	= empty  ,
}

FRE1 = {
["A  +"]   	= Default_RADIOS_plus  ,
["A ++"]   	= Default_RADIOS_plusfast  ,
["A  -"]   	= Default_RADIOS_minus  ,
["A --"]   	= Default_RADIOS_minusfast  ,
["PRESS"]  	= Default_RADIOS_press  ,
}
